---
title: "Live Google Finance Markets Advanced"
url: "https://docs.dataforseo.com/v3/serp/google/finance_markets/live/advanced/"
date: "2026-06-06"
---

## Live Google Finance Markets Advanced

  
Live Google Finance Markets provides real-time data from the ‘Markets’ tab of Google Finance. These results are specific to the parameters you specify in the request: `location`, `language`, and `market_type`.

 

 

 ![checked](https://docs.dataforseo.com/v3/wp-content/themes/dataforseo/assets/img/icons/checked-circle.svg) POST  https://api.dataforseo.com/v3/serp/google/finance\_markets/live/advanced     

      

Pricing

 Your account will be charged for each request.  
The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/serp/google-finance-serp-api "Pricing") page.

 

 All POST data should be sent in the [JSON](https://en.wikipedia.org/wiki/JSON) format (UTF-8 encoding). When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live SERP API call can contain only one task.

Below you will find a detailed description of the parameters that are required or recommended for setting a task.

Main Parameters

| Field name | Type | Description |
|---|---|---|
| `location_code` | integer | *search engine location code*  **required field if you don't specify `location_name`**  **if you use this field, you don't need to specify `location_name`**  you can receive the list of available locations of the search engines with their `location_code` by making a separate request to `https://api.dataforseo.com/v3/serp/google/locations`  example:  `2840` |
| `language_code` | string | *search engine language code*  **required field if you don't specify `language_name`**  **if you use this field, you don't need to specify `language_name`**  you can receive the list of available languages of the search engine with their `language_code` by making a separate request to the `https://api.dataforseo.com/v3/serp/google/languages`example:`en` |
| `device` | string | *device type*  optional field  return results for a specific device type  possible value: `desktop` |



  
Below you will find a drop-down list with the additional parameters you can use for setting a task.  
Additional Parameters| Field name | Type | Description |
|---|---|---|
| `location_name` | string | *full name of search engine location*  **required field if you don't specify `location_code`**  **if you use this field, you don't need to specify `location_code`**  you can receive the list of available locations of the search engine with their `location_name` by making a separate request to `https://api.dataforseo.com/v3/serp/google/locations`  example:  `London,England,United Kingdom` |
| `language_name` | string | *full name of search engine language*  **required field if you don't specify `language_code`**  **if you use this field, you don't need to specify `language_code`**  you can receive the list of available languages of the search engine with their `language_name` by making a separate request to the `https://api.dataforseo.com/v3/serp/google/languages`  example:  `English` |
| `os` | string | *device operating system*  optional field  possible values: `windows` |
| `tag` | string | *user-defined task identifier*  optional field  *the character limit is 255*  you can use this parameter to identify the task and match it with the result  you will find the specified `tag` value in the `data` object of the response |
| `market_type` | string | *type of google finance market*  optional field  possible values: `most-active`, `indexes`, `indexes/americas`, `indexes/europe-middle-east-africa`, `indexes/asia-pacific`, `gainers`, `losers`, `climate-leaders`, `cryptocurrencies`, `currencies`  default value: `most-active` |



  
  
  
As a response of the API server, you will receive [JSON](https://en.wikipedia.org/wiki/JSON)-encoded data containing a `tasks` array with the information specific to the set tasks. **Description of the fields in the results array:**

| Field name | Type | Description |
|---|---|---|
| `version` | string | *the current version of the API* |
| `status_code` | integer | *general status code*   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md)   **Note:** we strongly recommend designing a necessary system for handling related exceptional or error conditions |
| `status_message` | string | *general informational message*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *total tasks cost, USD* |
| `tasks_count` | integer | *the number of tasks in the **`tasks`** array* |
| `tasks_error` | integer | *the number of tasks in the **`tasks`** array returned with an error* |
| **`tasks`** | array | *array of tasks* |
| `id` | string | *task identifier*   **unique task identifier in our system in the [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier) format** |
| `status_code` | integer | *status code of the task*   generated by DataForSEO; can be within the following range: 10000-60000   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `status_message` | string | *informational message of the task*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *cost of the task, USD* |
| `result_count` | integer | *number of elements in the `result` array* |
| `path` | array | *URL path* |
| `data` | object | *contains the same parameters that you specified in the POST request* |
| **`result`** | array | *array of results* |
| `keyword` | string | *keyword received in a POST array*   **the keyword is returned with decoded %## (plus character ‘+’ will be decoded to a space character)** |
| `type` | string | *search engine type*   in this case, equals `finance_markets` |
| `se_domain` | string | *search engine domain in a POST array* |
| `location_code` | string | *location code in a POST array* |
| `language_code` | string | *language code in a POST array* |
| `check_url` | string | *direct URL to search engine results*   you can use it to make sure that we provided accurate results |
| `datetime` | string | *date and time when the result was received*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2019-11-15 12:57:46 +00:00` |
| `spell` | object | *autocorrection of the search engine*   if the search engine provided results for a keyword that was corrected, we will specify the keyword corrected by the search engine and the type of autocorrection;   in this case, the value will be `null` |
| `refinement_chips` | object | *search refinement chips*   in this case, the value will be `null` |
| `item_types` | array | *types of search results in SERP*   contains types of search results (`items`) found in SERP;   possible item types: [`google_finance_hero_groups`](#google_finance_hero_groups), [`google_finance_explore_market_trends`](#google_finance_explore_market_trends), [`google_finance_news`](#google_finance_news), [`google_finance_interested`](#google_finance_interested), [`google_finance_people_also_search`](#google_finance_people_also_search) |
| `se_results_count` | integer | *total number of results in SERP* |
| `items_count` | integer | *the number of results returned in the **`items`** array* |
| **`items`** | array | *elements of search results found in SERP* |
| **<a name="google_finance_hero_groups">google\_finance\_hero\_groups item in SERP</a>** |  |  |
| `type` | string | *type of element = **‘google\_finance\_hero\_groups’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `markets` | array | *financial markets data*   array of items containing market indexes and other financial information related to these indexes |
| `market` | string | *financial market identifier*   possible values: `US`, `Europe`, `Asia`, `Currencies`, `Crypto`, `Futures` |
| `items` | array | *market indexes data*   array of items containing market indexes data;   possible `type` of items: `google_finance_asset_pair_element`, `google_finance_market_instrument_element`, `google_finance_market_index_element` |
| `type` | string | *type of element = **‘google\_finance\_market\_index\_element’*** |
| `ticker` | string | *ticker of the market index*   example: `DAX` |
| `market_identifier` | string | *market identifier*   example: `INDEXDB` |
| `index_value` | float | *value of the market index*   numerical value of the index at a given `timestamp` |
| `index_value_delta` | float | *change in value of the market index*   change in the `index_value` at a given `timestamp` |
| `identifier` | string | *identifier of the element*   full identifier of the element that consists from `ticker` and `market_identifier`   example: `PX1:INDEXDB` |
| `displayed_name` | string | *name of the market index as displayed on Google Finance*   example: `CAC 40` |
| `url` | string | *URL to the page of the market index on Google Finance* |
| `location` | string | *location of the market index*   example: `Europe/Paris` |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value of the market index* |
| `type` | string | *type of element = **‘google\_finance\_asset\_pair\_element’*** |
| `base_symbol` | string | *identifier of the base asset in a pair*   example: `EUR` |
| `quote_symbol` | string | *identifier of the quote asset in a pair*   example: `USD` |
| `base_display_name` | string | *full name of the base asset in a pair*   example: `Euro` |
| `quote_display_name` | string | *full name of the base asset in a pair*   example: `Euro` |
| `price` | float | *value of the base asset compared to the quote asset* |
| `price_delta` | float | *change in price*   change in `price` at a given `timestamp` |
| `identifier` | string | *finance pair identifier*   example: `EUR-USD` |
| `displayed_name` | string | *displayed name of the finance pair*   example: `EUR / USD` |
| `url` | string | *URL to finance pair on Google Finance* |
| `location` | string | *location of the market index* |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value* |
| `type` | string | *type of element = **‘google\_finance\_market\_instrument\_element’*** |
| `ticker` | string | *ticker of the market index*   example: `YMW00` |
| `price` | float | *price of the market instrument*   price of the market instrument at a given `timestamp` |
| `price_delta` | float | *change in price of the market instrument*   change in `price` at a given `timestamp` |
| `price_currency` | string | *price currency*   example: `USD` |
| `identifier` | string | *full identifier of the market index*   example: `YMW00:CBOT` |
| `displayed_name` | string | *displayed name of the market index*   example: `E-mini Dow ($5)` |
| `url` | string | *URL to the page of the market index on Google Finance* |
| `location` | string | *location of the market index* |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value of the market index* |
| **<a name="google_finance_explore_market_trends">google\_finance\_explore\_market\_trends item in SERP</a>** |  |  |
| `type` | string | *type of element = **‘google\_finance\_explore\_market\_trends’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `title` | string | *title of the market trends element*   example: `Europe, Middle East, and Africa` |
| `sub_title` | string | *sub-title of the market trends element* |
| `url` | string | *URL to the page of the market trends element on Google Finance* |
| `items` | array | *market indexes related to the market trends element*   possible `type` of items: `google_finance_asset_pair_element`, `google_finance_market_instrument_element`, `google_finance_market_index_element` |
| `type` | string | *type of element = **‘google\_finance\_market\_index\_element’*** |
| `ticker` | string | *ticker of the market index*   example: `DAX` |
| `market_identifier` | string | *market identifier*   example: `INDEXDB` |
| `index_value` | float | *value of the market index*   numerical value of the index at a given `timestamp` |
| `index_value_delta` | float | *change in value of the market index*   change in the `index_value` at a given `timestamp` |
| `identifier` | string | *identifier of the element*   full identifier of the element that consists from `ticker` and `market_identifier`   example: `PX1:INDEXDB` |
| `displayed_name` | string | *name of the market index as displayed on Google Finance*   example: `CAC 40` |
| `url` | string | *URL to the page of the market index on Google Finance* |
| `location` | string | *location of the market index*   example: `Europe/Paris` |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value of the market index* |
| `type` | string | *type of element = **‘google\_finance\_asset\_pair\_element’*** |
| `base_symbol` | string | *identifier of the base asset in a pair*   example: `EUR` |
| `quote_symbol` | string | *identifier of the quote asset in a pair*   example: `USD` |
| `base_display_name` | string | *full name of the base asset in a pair*   example: `Euro` |
| `quote_display_name` | string | *full name of the base asset in a pair*   example: `Euro` |
| `price` | float | *value of the base asset compared to the quote asset* |
| `price_delta` | float | *change in price*   change in `price` at a given `timestamp` |
| `identifier` | string | *finance pair identifier*   example: `EUR-USD` |
| `displayed_name` | string | *displayed name of the finance pair*   example: `EUR / USD` |
| `url` | string | *URL to finance pair on Google Finance* |
| `location` | string | *location of the market index* |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value* |
| `type` | string | *type of element = **‘google\_finance\_market\_instrument\_element’*** |
| `ticker` | string | *ticker of the market index*   example: `YMW00` |
| `price` | float | *price of the market instrument*   price of the market instrument at a given `timestamp` |
| `price_delta` | float | *change in price of the market instrument*   change in `price` at a given `timestamp` |
| `price_currency` | string | *price currency*   example: `USD` |
| `identifier` | string | *full identifier of the market index*   example: `YMW00:CBOT` |
| `displayed_name` | string | *displayed name of the market index*   example: `E-mini Dow ($5)` |
| `url` | string | *URL to the page of the market index on Google Finance* |
| `location` | string | *location of the market index* |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value of the market index* |
| **<a name="google_finance_news">google\_finance\_news item in SERP</a>** |  |  |
| `type` | string | *type of element = **‘google\_finance\_news’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `title` | string | *title of the news element*   example: `In the news` |
| `sub_title` | string | *sub-title of the news element*   example: `Based on Europe, Middle East, and Africa` |
| `items` | array | *google finance news articles* |
| `type` | string | *type of element = **‘google\_finance\_news\_element’*** |
| `title` | string | *title of the news article* |
| `url` | string | *URL of the news article* |
| `source` | string | *name of the news source*   name of the website where the news article is published |
| `image_url` | string | *featured image URL*   URL of the news article’s featured image |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `quotes` | array | *market indexes quoted in the news article*   information about market indexes quoted in the `google_finance_news_element` |
| `type` | string | *type of element = **‘google\_finance\_market\_index\_element’*** |
| `ticker` | string | *ticker of the market index*   example: `DAX` |
| `market_identifier` | string | *market identifier*   example: `INDEXDB` |
| `index_value` | float | *value of the market index*   numerical value of the index at a given `timestamp` |
| `index_value_delta` | float | *change in value of the market index*   change in the `index_value` at a given `timestamp` |
| `identifier` | string | *identifier of the element*   full identifier of the element that consists from `ticker` and `market_identifier`   example: `PX1:INDEXDB` |
| `displayed_name` | string | *name of the market index as displayed on Google Finance*   example: `CAC 40` |
| `url` | string | *URL to the page of the market index on Google Finance* |
| `location` | string | *location of the market index*   example: `Europe/Paris` |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value of the market index* |
| `type` | string | *type of element = **‘google\_finance\_market\_instrument\_element’*** |
| `ticker` | string | *ticker of the market index*   example: `YMW00` |
| `price` | float | *price of the market instrument*   price of the market instrument at a given `timestamp` |
| `price_delta` | float | *change in price of the market instrument*   change in `price` at a given `timestamp` |
| `price_currency` | string | *price currency*   example: `USD` |
| `identifier` | string | *full identifier of the market index*   example: `YMW00:CBOT` |
| `displayed_name` | string | *displayed name of the market index*   example: `E-mini Dow ($5)` |
| `url` | string | *URL to the page of the market index on Google Finance* |
| `location` | string | *location of the market index* |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value of the market index* |
| `type` | string | *type of element = **‘google\_finance\_asset\_pair\_element’*** |
| `base_symbol` | string | *identifier of the base asset in a pair*   example: `EUR` |
| `quote_symbol` | string | *identifier of the quote asset in a pair*   example: `USD` |
| `base_display_name` | string | *full name of the base asset in a pair*   example: `Euro` |
| `quote_display_name` | string | *full name of the base asset in a pair*   example: `Euro` |
| `price` | float | *value of the base asset compared to the quote asset* |
| `price_delta` | float | *change in price*   change in `price` at a given `timestamp` |
| `identifier` | string | *finance pair identifier*   example: `EUR-USD` |
| `displayed_name` | string | *displayed name of the finance pair*   example: `EUR / USD` |
| `url` | string | *URL to finance pair on Google Finance* |
| `location` | string | *location of the market index* |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value* |
| **<a name="google_finance_interested">google\_finance\_interested item in SERP</a>** |  |  |
| `type` | string | *type of element = **‘google\_finance\_interested’***   list of market indexes generated from recent searches, followed securities, and other activity |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `items` | array | *market indexes related to the market trends element*   possible `type` of items: `google_finance_asset_pair_element`, `google_finance_market_instrument_element`, `google_finance_market_index_element` |
| `type` | string | *type of element = **‘google\_finance\_market\_index\_element’*** |
| `ticker` | string | *ticker of the market index*   example: `DAX` |
| `market_identifier` | string | *market identifier*   example: `INDEXDB` |
| `index_value` | float | *value of the market index*   numerical value of the index at a given `timestamp` |
| `index_value_delta` | float | *change in value of the market index*   change in the `index_value` at a given `timestamp` |
| `identifier` | string | *identifier of the element*   full identifier of the element that consists from `ticker` and `market_identifier`   example: `PX1:INDEXDB` |
| `displayed_name` | string | *name of the market index as displayed on Google Finance*   example: `CAC 40` |
| `url` | string | *URL to the page of the market index on Google Finance* |
| `location` | string | *location of the market index*   example: `Europe/Paris` |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value of the market index* |
| `type` | string | *type of element = **‘google\_finance\_market\_instrument\_element’*** |
| `ticker` | string | *ticker of the market index*   example: `YMW00` |
| `price` | float | *price of the market instrument*   price of the market instrument at a given `timestamp` |
| `price_delta` | float | *change in price of the market instrument*   change in `price` at a given `timestamp` |
| `price_currency` | string | *price currency*   example: `USD` |
| `identifier` | string | *full identifier of the market index*   example: `YMW00:CBOT` |
| `displayed_name` | string | *displayed name of the market index*   example: `E-mini Dow ($5)` |
| `url` | string | *URL to the page of the market index on Google Finance* |
| `location` | string | *location of the market index* |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value of the market index* |
| `type` | string | *type of element = **‘google\_finance\_asset\_pair\_element’*** |
| `base_symbol` | string | *identifier of the base asset in a pair*   example: `EUR` |
| `quote_symbol` | string | *identifier of the quote asset in a pair*   example: `USD` |
| `base_display_name` | string | *full name of the base asset in a pair*   example: `Euro` |
| `quote_display_name` | string | *full name of the base asset in a pair*   example: `Euro` |
| `price` | float | *value of the base asset compared to the quote asset* |
| `price_delta` | float | *change in price*   change in `price` at a given `timestamp` |
| `identifier` | string | *finance pair identifier*   example: `EUR-USD` |
| `displayed_name` | string | *displayed name of the finance pair*   example: `EUR / USD` |
| `url` | string | *URL to finance pair on Google Finance* |
| `location` | string | *location of the market index* |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value* |
| **<a name="google_finance_people_also_search">google\_finance\_people\_also\_search item in SERP</a>** |  |  |
| `type` | string | *type of element = **‘google\_finance\_people\_also\_search’*** |
| `items` | array | *market indexes related to the market trends element*   possible `type` of items: `google_finance_asset_pair_element`, `google_finance_market_instrument_element`, `google_finance_market_index_element` |
| `type` | string | *type of element = **‘google\_finance\_market\_index\_element’*** |
| `ticker` | string | *ticker of the market index*   example: `DAX` |
| `market_identifier` | string | *market identifier*   example: `INDEXDB` |
| `index_value` | float | *value of the market index*   numerical value of the index at a given `timestamp` |
| `index_value_delta` | float | *change in value of the market index*   change in the `index_value` at a given `timestamp` |
| `identifier` | string | *identifier of the element*   full identifier of the element that consists from `ticker` and `market_identifier`   example: `PX1:INDEXDB` |
| `displayed_name` | string | *name of the market index as displayed on Google Finance*   example: `CAC 40` |
| `url` | string | *URL to the page of the market index on Google Finance* |
| `location` | string | *location of the market index*   example: `Europe/Paris` |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value of the market index* |
| `type` | string | *type of element = **‘google\_finance\_market\_instrument\_element’*** |
| `ticker` | string | *ticker of the market index*   example: `YMW00` |
| `price` | float | *price of the market instrument*   price of the market instrument at a given `timestamp` |
| `price_delta` | float | *change in price of the market instrument*   change in `price` at a given `timestamp` |
| `price_currency` | string | *price currency*   example: `USD` |
| `identifier` | string | *full identifier of the market index*   example: `YMW00:CBOT` |
| `displayed_name` | string | *displayed name of the market index*   example: `E-mini Dow ($5)` |
| `url` | string | *URL to the page of the market index on Google Finance* |
| `location` | string | *location of the market index* |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value of the market index* |
| `type` | string | *type of element = **‘google\_finance\_asset\_pair\_element’*** |
| `base_symbol` | string | *identifier of the base asset in a pair*   example: `EUR` |
| `quote_symbol` | string | *identifier of the quote asset in a pair*   example: `USD` |
| `base_display_name` | string | *full name of the base asset in a pair*   example: `Euro` |
| `quote_display_name` | string | *full name of the base asset in a pair*   example: `Euro` |
| `price` | float | *value of the base asset compared to the quote asset* |
| `price_delta` | float | *change in price*   change in `price` at a given `timestamp` |
| `identifier` | string | *finance pair identifier*   example: `EUR-USD` |
| `displayed_name` | string | *displayed name of the finance pair*   example: `EUR / USD` |
| `url` | string | *URL to finance pair on Google Finance* |
| `location` | string | *location of the market index* |
| `trend` | string | *growth trend of the market index*   possible values: `up`, `down`, `stable` |
| `timestamp` | string | *date and time of the value readout*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2025-02-10 09:40:00 +00:00` |
| `percentage_delta` | float | *percentage of change in value* |



 

 









> Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

```
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/serp/google/finance_markets/live/advanced" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
    {
        "location_code": 2840,
        "language_name": "English"
    }
]'
```





```php
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
    // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
    $client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
    echo "n";
    print "HTTP code: {$e->getHttpCode()}n";
    print "Error code: {$e->getCode()}n";
    print "Message: {$e->getMessage()}n";
    print  $e->getTraceAsString();
    echo "n";
    exit();
}
$post_array = array();
// You can set only one task at a time
$post_array[] = array(
    "location_code" => 2840,
    "language_name" => "English"
);
try {
    // POST /v3/serp/google/finance_markets/live/advanced
    // in addition to 'google' and 'finance_markets' you can also set other search engine and type parameters
    // the full list of possible parameters is available in documentation
    $result = $client->post('/v3/serp/google/finance_markets/live/advanced', $post_array);
    print_r($result);
    // do something with post result
} catch (RestClientException $e) {
    echo "n";
    print "HTTP code: {$e->getHttpCode()}n";
    print "Error code: {$e->getCode()}n";
    print "Message: {$e->getMessage()}n";
    print  $e->getTraceAsString();
    echo "n";
}
$client = null;
?>
```





```js
const axios = require('axios');

axios({
    method: 'post',
    url: 'https://api.dataforseo.com/v3/serp/google/finance_markets/live/advanced',
    auth: {
        username: 'login',
        password: 'password'
    },
    data: [{
        "location_code" => 2840,
        "language_name" => "English"
    }],
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
```





```python
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# You can set only one task at a time
post_data[len(post_data)] = dict(
location_code=2840,
language_name="English"
)
# POST /v3/serp/google/finance_markets/live/advanced
# in addition to 'google' and 'finance_markets' you can also set other search engine and type parameters
# the full list of possible parameters is available in documentation
response = client.post("/v3/serp/google/finance_markets/live/advanced", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
print(response)
# do something with result
else:
print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
```





```csharp
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task serp_live_advanced()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                //DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            // You can set only one task at a time
            postData.Add(new
            {
                location_code=2840,
                language_name="English"
            });
            // POST /v3/serp/google/finance_markets/live/advanced
            // in addition to 'google' and 'finance_markets' you can also set other search engine and type parameters
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/serp/google/finance_markets/live/advanced", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}
```





> The above command returns JSON structured like this:

```
{
  "version": "0.1.20241227",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "3.0950 sec.",
  "cost": 0.002,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "02071612-1535-0139-0000-5dc0cbd3e100",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "3.0342 sec.",
      "cost": 0.002,
      "result_count": 1,
      "path": [
        "v3",
        "serp",
        "google",
        "finance_markets",
        "live",
        "advanced"
      ],
      "data": {
        "api": "serp",
        "function": "live",
        "se": "google",
        "se_type": "finance_markets",
        "language_name": "English",
        "location_code": 2840,
        "device": "desktop",
        "os": "windows"
      },
      "result": [
        {
          "keyword": null,
          "type": "finance_markets",
          "se_domain": "google.com",
          "location_code": 2840,
          "language_code": "en",
          "check_url": "https://www.google.com/finance/markets/most-active?hl=en&gl=us",
          "datetime": "2025-02-07 14:12:09 +00:00",
          "spell": null,
          "refinement_chips": null,
          "item_types": [
            "google_finance_hero_groups",
            "google_finance_explore_market_trends",
            "google_finance_news",
            "google_finance_interested",
            "google_finance_people_also_search"
          ],
          "se_results_count": 0,
          "items_count": 4,
          "items": [
            {
              "type": "google_finance_hero_groups",
              "rank_group": 1,
              "rank_absolute": 1,
              "markets": [
                {
                  "market": "Futures",
                  "items": [
                    {
                      "type": "google_finance_market_instrument_element",
                      "ticker": "YMW00",
                      "price": 44899,
                      "price_delta": 36,
                      "price_currency": "USD",
                      "identifier": "YMW00:CBOT",
                      "displayed_name": "E-mini Dow ($5)",
                      "url": "https://google.com/finance/quote/YMW00:CBOT?hl=en&gl=us",
                      "location": null,
                      "trend": "up",
                      "timestamp": "2025-02-07 14:01:43 +00:00",
                      "percentage_delta": 0.0802443
                    },
                    {
                      "market": "US",
                      "items": [
                        {
                          "type": "google_finance_market_index_element",
                          "ticker": "VIX",
                          "market_identifier": "INDEXCBOE",
                          "index_value": 15.05,
                          "index_value_delta": -0.4499998,
                          "identifier": "VIX:INDEXCBOE",
                          "displayed_name": "VIX",
                          "url": "https://google.com/finance/quote/VIX:INDEXCBOE?hl=en&gl=us",
                          "location": "America/Chicago",
                          "trend": "down",
                          "timestamp": "2025-02-07 13:56:46 +00:00",
                          "percentage_delta": -2.9032245
                        }
                      ]
                    },
                    {
                      "market": "Europe",
                      "items": [
                        {
                          "type": "google_finance_market_index_element",
                          "ticker": "SX5E",
                          "market_identifier": "INDEXSTOXX",
                          "index_value": 5346.93,
                          "index_value_delta": -9.699707,
                          "identifier": "SX5E:INDEXSTOXX",
                          "displayed_name": "EURO STOXX 50",
                          "url": "https://google.com/finance/quote/SX5E:INDEXSTOXX?hl=en&gl=us",
                          "location": "Europe/Berlin",
                          "trend": "down",
                          "timestamp": "2025-02-07 13:56:30 +00:00",
                          "percentage_delta": -0.18107854
                        }
                      ]
                    },
                    {
                      "market": "Asia",
                      "items": [
                        {
                          "type": "google_finance_market_index_element",
                          "ticker": "NIFTY_50",
                          "market_identifier": "INDEXNSE",
                          "index_value": 23559.95,
                          "index_value_delta": -43.40039,
                          "identifier": "NIFTY_50:INDEXNSE",
                          "displayed_name": "NIFTY 50",
                          "url": "https://google.com/finance/quote/NIFTY_50:INDEXNSE?hl=en&gl=us",
                          "location": "Asia/Calcutta",
                          "trend": "down",
                          "timestamp": "2025-02-07 10:01:10 +00:00",
                          "percentage_delta": -0.18387386
                        }
                      ]
                    },
                    {
                      "market": "Currencies",
                      "items": [
                        {
                          "type": "google_finance_asset_pair_element",
                          "base_symbol": "AUD",
                          "quote_symbol": "USD",
                          "base_display_name": "Australian Dollar",
                          "quote_display_name": "United States Dollar",
                          "price": 0.6278299430000001,
                          "price_delta": -0.00031005700000000003,
                          "identifier": "AUD-USD",
                          "displayed_name": "AUD / USD",
                          "url": "https://google.com/finance/quote/AUD-USD?hl=en&gl=us",
                          "location": null,
                          "trend": "down",
                          "timestamp": "2025-02-07 14:11:05 +00:00",
                          "percentage_delta": -0.04936112
                        }
                      ]
                    },
                    {
                      "market": "Crypto",
                      "items": [
                        {
                          "type": "google_finance_asset_pair_element",
                          "base_symbol": "DOGE",
                          "quote_symbol": "USD",
                          "base_display_name": "Dogecoin",
                          "quote_display_name": "United States Dollar",
                          "price": 0.26068559999999996,
                          "price_delta": 0.013041583079999999,
                          "identifier": "DOGE-USD",
                          "displayed_name": "Dogecoin (DOGE / USD)",
                          "url": "https://google.com/finance/quote/DOGE-USD?hl=en&gl=us",
                          "location": null,
                          "trend": "up",
                          "timestamp": "2025-02-07 14:09:46 +00:00",
                          "percentage_delta": 5.266261999999999
                        }
                      ]
                    }
                  ]
                },
                {
                  "type": "google_finance_explore_market_trends",
                  "rank_group": 1,
                  "rank_absolute": 2,
                  "title": "Most active",
                  "sub_title": "The stocks or funds with the highest trading volume (in shares) during the current trading session",
                  "url": null,
                  "items": [
                    {
                      "type": "google_finance_market_instrument_element",
                      "ticker": "TDOC",
                      "price": 11.97,
                      "price_delta": 0,
                      "price_currency": "USD",
                      "identifier": "TDOC:NYSE",
                      "displayed_name": "Teladoc Health Inc",
                      "url": "https://google.com/finance/quote/TDOC:NYSE?hl=en&gl=us",
                      "location": "America/New_York",
                      "trend": "stable",
                      "timestamp": "2025-02-07 14:11:40 +00:00",
                      "percentage_delta": 0
                    }
                  ]
                },
                {
                  "type": "google_finance_news",
                  "rank_group": 1,
                  "rank_absolute": 3,
                  "title": "In the news",
                  "sub_title": "Based on most active",
                  "items": [
                    {
                      "type": "google_finance_news_element",
                      "title": "This Could Be the Month That Makes or Breaks Super Micro Computer's Stock",
                      "url": "https://www.fool.com/investing/2025/02/06/this-could-be-the-month-that-makes-or-breaks-super/",
                      "source": "The Motley Fool",
                      "image_url": "https://encrypted-tbn1.gstatic.com/images?q=tbn:ANd9GcRtylMUOIZnbddlHj3uzxLIDum8Xy42B2uFRcOQv3xyq1bNo0XSu9XmLXjGr_s",
                      "timestamp": "2025-02-06 14:27:00 +00:00",
                      "quotes": [
                        {
                          "type": "google_finance_market_instrument_element",
                          "ticker": "SMCI",
                          "price": 33.84,
                          "price_delta": 0,
                          "price_currency": "USD",
                          "identifier": "SMCI:NASDAQ",
                          "displayed_name": "Super Micro Computer Inc",
                          "url": "https://google.com/finance/quote/SMCI:NASDAQ?hl=en&gl=us",
                          "location": "America/New_York",
                          "trend": "stable",
                          "timestamp": "2025-02-07 14:11:56 +00:00",
                          "percentage_delta": 0
                        }
                      ]
                    },
                    {
                      "type": "google_finance_news_element",
                      "title": "1 AI Stock to Buy Before It Soars 335% to $1 Trillion, According to a Wall nStreet Analyst",
                      "url": "https://finance.yahoo.com/news/1-ai-stock-buy-soars-081000093.html",
                      "source": "Yahoo Finance",
                      "image_url": "https://encrypted-tbn1.gstatic.com/images?q=tbn:ANd9GcRKC85EuzoaawfpMrY9qYJfX0e4gkZ3P22FIkUmzj_Ct6CSfwD02tZCK3zu4tA",
                      "timestamp": "2025-02-07 08:10:00 +00:00",
                      "quotes": [
                        {
                          "type": "google_finance_market_instrument_element",
                          "ticker": "PLTR",
                          "price": 111.28,
                          "price_delta": 0,
                          "price_currency": "USD",
                          "identifier": "PLTR:NASDAQ",
                          "displayed_name": "Palantir Technologies Inc",
                          "url": "https://google.com/finance/quote/PLTR:NASDAQ?hl=en&gl=us",
                          "location": "America/New_York",
                          "trend": "stable",
                          "timestamp": "2025-02-07 14:11:55 +00:00",
                          "percentage_delta": 0
                        }
                      ]
                    }
                  ]
                },
                {
                  "type": "google_finance_interested",
                  "rank_group": 1,
                  "rank_absolute": 4,
                  "items": [
                    {
                      "type": "google_finance_market_index_element",
                      "ticker": "COMPOSITE",
                      "market_identifier": "IDX",
                      "index_value": 6742.576,
                      "index_value_delta": -132.95996,
                      "identifier": "COMPOSITE:IDX",
                      "displayed_name": "IDX Composite",
                      "url": "https://google.com/finance/quote/COMPOSITE:IDX?hl=en&gl=us",
                      "location": "Asia/Jakarta",
                      "trend": "down",
                      "timestamp": "2025-02-07 09:00:04 +00:00",
                      "percentage_delta": -1.9338123
                    },
                    {
                      "type": "google_finance_market_instrument_element",
                      "ticker": "TLKM",
                      "price": 2590,
                      "price_delta": 30,
                      "price_currency": "IDR",
                      "identifier": "TLKM:IDX",
                      "displayed_name": "Telkom Indonesia (Persero) Tbk PT",
                      "url": "https://google.com/finance/quote/TLKM:IDX?hl=en&gl=us",
                      "location": "Asia/Jakarta",
                      "trend": "up",
                      "timestamp": "2025-02-07 09:40:00 +00:00",
                      "percentage_delta": 1.171875
                    }
                  ]
                },
                {
                  "type": "google_finance_people_also_search_item",
                  "items": [
                    {
                      "type": "google_finance_market_instrument_element",
                      "ticker": "AAPL",
                      "market": "NASDAQ",
                      "price": 222.64,
                      "price_delta": -7.3399963,
                      "price_currency": "USD",
                      "identifier": "AAPL:NASDAQ",
                      "display_name": "Apple Inc",
                      "url": "https://google.com/finance/quote/AAPL:NASDAQ?hl=en&gl=de",
                      "location": "America/New_York",
                      "trend": "down",
                      "timestamp": "2025-01-22T11:05:04Z",
                      "percentage_delta": -3.1915803
                    }
                  ]
                }
              ]
            }
          ]
        }
      ]
    }
  ]
}
```









 

  cURL   php   Node.js   Python   cSharp